Redmine - Defect #16994

Redmine 500 error while Adding/Updating only a new Task
2014-05-27 15:11 -Jo V

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 2.4.0

Description

Hi Guys

I am running REDMINE 2.4.0.stable on a CentOS 6.5. My environment details are as follows:
*Environment:

Redmine version 2.4.0.stable

Ruby version 2.1.0-p0 (2013-12-25) [x86_64-linux]
Rails version 3.2.15

Environment production

Database adapter MySQL

SCM:

Subversion 1.6.11

Git1.7.1

Filesystem

Redmine plugins:

no plugin installed *

| have noticed sometime during adding/modifying an issue in any of the projects in REDMINE, | get the redmine 500 error. | have
tried to remove the different characters that could cause this issue and some time it works. | am not sure what is happening here.

| also performed a search over the REDMINE forums and found a possible solution as stated below. However, even after adding this
portion to the environment.rb file | get the similar error.

"module ActionView

module Helpers

module TextHelper

def truncate(text, length = 30, truncate_string = "...")
if text.nil? then return end

| = length - truncate_string.chars.to_a.size
(text.chars.to_a.size > length ? text.chars.to_a[0...l].join + truncate_string : text).to_s
end

end

end

end"

My environment.rb file is attached for your reference.
Looking forward to hearing from you guys

Regards
JoV

History

#1 - 2014-05-28 05:45 - Toshi MARUYAMA

Ruby 2.1 has some problems and Redmine does not support Ruby 2.1 officially (#16194).
| recommend you to downgrade Ruby to 2.0 or upgrade to 2.1.2.

#2 - 2014-05-28 14:44 - Jo V
Hi Toshi

Thanks for your response on this.
https://www.redmine.org/issues/16194

Could you please provide me the best procedure either to upgrade or downgrade the Ruby version that | have?
Looking forward to hearing from you.

Regards
Jo

#3 - 2014-06-24 08:47 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Invalid

Jo V wrote:

Could you please provide me the best procedure either to upgrade or downgrade the Ruby version that | have?

Do as you like.

Database adapter MySQL

You should use mysqgl2 on Ruby >=1.9.

Files

environment.zip 588 Bytes 2014-05-27 JoV
